# Timer_Queuefwd.h File Reference

`#include "ace/Synch_Traits.h"`

Include dependency graph for Timer_Queuefwd.h:

This graph shows which files directly or indirectly include this file:

## Typedefs

typedef ACE_Timer_Queue_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_SYNCH_RECURSIVE_MUTEX >, ACE_SYNCH_RECURSIVE_MUTEX > | ACE_Timer_Queue

## Detailed Description

Id
  Timer_Queuefwd.h,v 4.2 2005/10/28 23:55:10 ossama Exp

Forward declarations and typedefs of ACE_Timer_Queue class.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>

## Typedef Documentation

typedef ACE_Timer_Queue_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_SYNCH_RECURSIVE_MUTEX>, ACE_SYNCH_RECURSIVE_MUTEX> ACE_Timer_Queue